Bug 107782 - RFE: additional config options for "standard" 2.6 kernel
RFE: additional config options for "standard" 2.6 kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 17:25 EDT by Dan Berger
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 17:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Berger 2003-10-22 17:25:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701
Galeon/1.3.9

Description of problem:
I'm hoping that a few of these options can be enabled in the test 2.6 kernel
RPMS so (a) they can get additional testing and hopefully be enabled in the
final 2.6 packages and (b) I don't have to build my own kernel (cheezy, but honest) 

CONFIG_IKCONFIG=y
CONFIG_IKCONFIG_PROC=y
CONFIG_PREEMPT=y
CONFIG_X86_MCE_NONFATAL=y
CONFIG_X86_MCE_P4THERMAL=y
CONFIG_X86_P4_CLOCKMOD=m
CONFIG_NTFS_FS=m

I've also been enabling these, as they seem to do no harm if not applicable:

CONFIG_X86_UP_APIC=y
CONFIG_X86_UP_IOAPIC=y
CONFIG_X86_LOCAL_APIC=y
CONFIG_X86_IO_APIC=y


Version-Release number of selected component (if applicable):
kernel-source-2.6.0-0.test8.1.62

How reproducible:
Always

Steps to Reproduce:
1. observe that the 2.6 test kernel configs don't include these options 
    

Additional info:
Comment 1 Arjan van de Ven 2003-10-22 17:34:53 EDT
CONFIG_IKCONFIG=y => No takes up memory while we ship the file in disk already
CONFIG_PREEMPT=y => No doesn't bring much if anything and is a huge stability risk
CONFIG_X86_MCE_NONFATAL=y => MCE means your box is toast. COntinuing is asking
for datacorruption
CONFIG_X86_P4_CLOCKMOD=y => makes sense; enabled
CONFIG_NTFS_FS=m => no

CONFIG_X86_UP_APIC=y => No, gives a LOT of problems on a lot of machines, breaks
suspend on a lot of laptops for example while the gain is about null.
Comment 2 Dan Berger 2003-10-23 00:57:03 EDT
Thanks for the response.  Can you give any reason behind the no on NTFS?

Note You need to log in before you can comment on or make changes to this bug.